Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel
Class DownstreamMessageEvent

    java.lang.Object
      org.jboss.netty.channel.DownstreamMessageEvent

All Implemented Interfaces:
  ChannelEvent, MessageEvent

    public class DownstreamMessageEvent

extends Object
implements MessageEvent

The default downstream `MessageEvent` implementation.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Constructor Summary
`DownstreamMessageEvent(Channel channel, ChannelFuture future, Object message, SocketAddress remoteAddress)` Creates a new instance.

Method Summary
`Channel` | `getChannel()` Returns the `Channel` which is associated with this event.
`ChannelFuture` | `getFuture()` Returns the `ChannelFuture` which is associated with this event.
`Object` | `getMessage()` Returns the message.
`SocketAddress` | `getRemoteAddress()` Returns the remote address of the message.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DownstreamMessageEvent

    public DownstreamMessageEvent(Channel channel,
                                  ChannelFuture future,
                                  Object message,
                                  SocketAddress remoteAddress)

  Creates a new instance.

Method Detail

### getChannel

    public Channel getChannel()

  Description copied from interface: `ChannelEvent`
  Returns the `Channel` which is associated with this event.

  Specified by:
    `getChannel` in interface `ChannelEvent`

### getFuture

    public ChannelFuture getFuture()

  Description copied from interface: `ChannelEvent`
  Returns the `ChannelFuture` which is associated with this event. If this event is an upstream event, this method will always return a `SucceededChannelFuture` because the event has occurred already. If this event is a downstream event (i.e. I/O request), the returned future will be notified when the I/O request succeeds or fails.

  Specified by:
    `getFuture` in interface `ChannelEvent`

### getMessage

    public Object getMessage()

  Description copied from interface: `MessageEvent`
  Returns the message.

  Specified by:
    `getMessage` in interface `MessageEvent`

### getRemoteAddress

    public SocketAddress getRemoteAddress()

  Description copied from interface: `MessageEvent`
  Returns the remote address of the message.

  Specified by:
    `getRemoteAddress` in interface `MessageEvent`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.